Hikey970 AOSP build required equipment and software


#1

Dear all,

Which version of host’s ubuntu is required when build Hikey970 Android image

Thanks


#2

Dear all,

Which version of host’s ubuntu is required when build Hikey970 Android image

Google’s notes on building
AOSP

include the following:

The Android build is routinely tested in house on recent versions of
Ubuntu LTS (14.04) and Debian testing. Most other distributions should
have the required build tools available.

However, personally, I usually use Ubuntu 16.04 (and in a container
since I don’t use Ubuntu normally).


#3

As long as you have the necessary minimum versions of the build dependencies installed, you can build it on ANY Linux. I don’t and never have used ubuntu (I dislike that distro for needlessly redesigning and breaking everything), I do all my AOSP builds on RHEL or Fedora.